about summary refs log tree commit diff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--git-fetch-email.sh23
1 files changed, 10 insertions, 13 deletions
diff --git a/git-fetch-email.sh b/git-fetch-email.sh
index 704651b..80b3bb7 100644
--- a/git-fetch-email.sh
+++ b/git-fetch-email.sh
@@ -26,22 +26,19 @@ from=$(git config fetchemail.from)
 to=$(git config fetchemail.to)
 cc=$(git config fetchemail.cc)
 
-args=$(getopt 'C:F:S:T:h:m:p:' $*)
-[ $? -ne 0 ] && exit 1
-set -- $args
-for opt; do
-	shift;
+while getopts 'C:F:S:T:h:m:p:' opt; do
 	case "$opt" in
-		(-C) cc=$1; shift;;
-		(-F) from=$1; shift;;
-		(-S) subject=$1; shift;;
-		(-T) to=$1; shift;;
-		(-h) host=$1; shift;;
-		(-m) mailbox=$1; shift;;
-		(-p) port=$1; shift;;
-		(--) break;;
+		(C) cc=$OPTARG;;
+		(F) from=$OPTARG;;
+		(S) subject=$OPTARG;;
+		(T) to=$OPTARG;;
+		(h) host=$OPTARG;;
+		(m) mailbox=$OPTARG;;
+		(p) port=$OPTARG;;
+		(?) exit 1;;
 	esac
 done
+shift $(($OPTIND - 1))
 [ $# -ne 0 ] && user=$1
 if [ -z "${user:-}" ]; then
 	echo "$0: username required"
>2013-05-27filters: import more modern scriptsJason A. Donenfeld 2013-05-26readme: use string_list instead of space deliminationsJason A. Donenfeld 2013-05-25ui-summary: Disallow directory traversalJason A. Donenfeld 2013-05-25cgitrc.5: information on directory traversal and multiple readme filesJason A. Donenfeld 2013-05-25readme: Accept multiple candidates and test them.Jason A. Donenfeld 2013-05-25ui-summary: Pass filename to about-filterJason A. Donenfeld 2013-05-25ui-summary: Use default branch for readme if : prefixJason A. Donenfeld 2013-05-25cgit.c: Do not reset HOME after unsetting it.Jason A. Donenfeld 2013-05-25cgit.c: sync repo config printing with struct cgit_repoJason A. Donenfeld 2013-05-25git: update to 1.8.3John Keeping 2013-05-22cache.c: cache ls_cache output properlyJohn Keeping 2013-05-22tests: introduce strip_header() helper functionJohn Keeping 2013-05-22shared.c: use die_errno() where appropriateJohn Keeping 2013-05-22html.c: die when write failsJohn Keeping 2013-05-22ui-log: add <span/> around commit decorationsJohn Keeping 2013-05-22Makefile: fix parallel "make test"John Keeping 2013-05-18cache.c: fix cache_lsJohn Keeping 2013-05-13t0109: "function" is a bash-ismJohn Keeping 2013-05-13New mailing list.Jason A. Donenfeld 2013-04-30ui-snapshot: do not access $HOMEJason A. Donenfeld 2013-04-27t0001: validate Git -rcN version numbers correctlyJohn Keeping 2013-04-27git: update to 1.8.2.2John Keeping 2013-04-17scan-tree: fix regression in section-from-path=-1John Keeping 2013-04-15t0001: ignore ".dirty" suffix on Git versionJohn Keeping 2013-04-15tests: set TEST_OUTPUT_DIRECTORY to the CGit test directoryJohn Keeping 2013-04-15t0109: test more URLsJohn Keeping 2013-04-10cgitrc.5.txt: Specify when scan-path must be defined before.Jason A. Donenfeld 2013-04-10ui-snapshot.c: Prepend "V" when guessing ref namesLukas Fleischer 2013-04-10t0107: Skip ZIP tests if unzip(1) isn't availableLukas Fleischer 2013-04-10tests/: Do not use `sed -i`Lukas Fleischer 2013-04-10Add branch-sort and repo.branch-sort options.Jason A. Donenfeld 2013-04-10t0109: chain operations with &&John Keeping 2013-04-10cgit.c: Do not restore unset environment variablesLukas Fleischer 2013-04-09t0107: Use `tar -z` for gzip'ed archivesLukas Fleischer